KD SOAP API Documentation: KDSoapMessageRelationship::Relationship Struct Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
KDSoapMessageRelationship::Relationship Struct Reference

`#include <KDSoapMessageAddressingProperties.h>`

Collaboration diagram for KDSoapMessageRelationship::Relationship:
[legend]

## Public Member Functions
| Relationship ()
| Relationship (const QString &URI, const QString &type=QString())

## Public Attributes
QString | relationshipType
QString | uri

## Detailed Description

Definition at line 35 of file KDSoapMessageAddressingProperties.h.

## Constructor & Destructor Documentation

## ◆ Relationship() [1/2]

KDSoapMessageRelationship::Relationship::Relationship | ( |  | ) |
| inline

Relationship default ctor

Definition at line 40 of file KDSoapMessageAddressingProperties.h.

## ◆ Relationship() [2/2]

KDSoapMessageRelationship::Relationship::Relationship | ( | const QString & | URI,
|  | const QString & | type = `QString()`
| ) |  |
| inline

Relationship constructor

Parameters

  URI | is supposed to represent a message ID of a previous message you want to make reference to
  type | represents the nature of the relation between messages, if none is provided, the following predefined address will be used wsa:Reply (which is dependent on the selected namespace, for example https://www.w3.org/TR/2006/REC-ws-addr-core-20060509)

Definition at line 51 of file KDSoapMessageAddressingProperties.h.

## Member Data Documentation

## ◆ relationshipType

QString KDSoapMessageRelationship::Relationship::relationshipType

Definition at line 58 of file KDSoapMessageAddressingProperties.h.

## ◆ uri

QString KDSoapMessageRelationship::Relationship::uri

Definition at line 57 of file KDSoapMessageAddressingProperties.h.

The documentation for this struct was generated from the following file:

- KDSoapMessageAddressingProperties.h

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8